Subject: [Ecrit] Request for draft-ietf-ecrit-additional-data-07

From: "Winterbottom, James" <[email-masked]>
Date: Fri, 1 Mar 2013 13:17:14 +0800

Hi All,

I have been looking at this specification with an eye to implementation. It is much better than earlier versions and I thank the authors for that. There are however some countries that have fields in their existing service order provisioning data sets that are not obviously mapped into the specific fields defined in this document.

I think that with regional or national profiling most of this can be addressed, however, there is likely to always be a case where this just doesn't work. When this is the case there will be need a need to add further information to one or more of the data bundles defined in this document, and as currently specified this isn't possible because none of the schemas provide an extension point to allow this to happen.

To avoid having to up version these schemas in the future, I think it would be good to add an extension point at the end of each of the sequences of the type:
<xs:any namespace="##other" processContents="lax"
                    minOccurs="0" maxOccurs="unbounded"/>

This should be done for each of the following data structures:

emergencyCall.ProviderInfo

emergencyCall.SvcInfo

emergencyCall.DevInfo
emergencyCall.SubInfo
emergencyCall.Comment

Cheers
James